# View account

* method: `query`
* params:
  * `request_type`: `view_account`
  * [`finality`](https://docs.near.org/api/rpc/setup#using-finality-param) *OR* [`block_id`](https://docs.near.org/api/rpc/setup#using-block_id-param)
  * `account_id`: *`"example.testnet"`*

#### Example:

{% code overflow="wrap" %}

```json
// Request
curl  https://near.blockpi.network/v1/rpc/your-rpc-key -X POST -H "Content-Type: application/json" 
--data 
'{
  "jsonrpc": "2.0",
  "id": "dontcare",
  "method": "query",
  "params": {
    "request_type": "view_account",
    "finality": "final",
    "account_id": "nearkat.testnet"
  }
}'

// Result
{
  "jsonrpc": "2.0",
  "result": {
    "amount": "399992611103597728750000000",
    "locked": "0",
    "code_hash": "11111111111111111111111111111111",
    "storage_usage": 642,
    "storage_paid_at": 0,
    "block_height": 17795474,
    "block_hash": "9MjpcnwW3TSdzGweNfPbkx8M74q1XzUcT1PAN8G5bNDz"
  },
  "id": "dontcare"
}
```

{% endcode %}
